#include<iostream>
using namespace std;

long long mod(long long a){
    if(a < 0) return -a;
    return a;
}

int main(){
    int t;
    cin >> t;
    for(int i = 0; i < t; i++){
        long long x1, y1, x2, y2, a, b;
        cin >> x1 >> y1 >> x2 >> y2 >> a >> b;
        long long ans = (a - mod(x1 - x2) + 1) * (b - mod(y1 - y2) + 1);
        if(ans < 0) ans = 0;
        cout << ans << endl;
    }
    
    return 0;
}